For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DiscordGet API Key
  • Getting Started
    • Overview
    • Quickstart
    • Errors
    • Pricing
  • Chat
    • Overview
    • Chat with Image, Video, and Audio
    • Function Calling
    • Models
  • Vision
    • Overview
    • Rate Limits
    • Pricing
    • MCP Server
    • Video Management
    • Video Group Management
    • Video Search
    • Video QA
    • Clip Generation
    • Metadata Tagging
    • Image Management
    • Image Search
        • POSTUpload Video
        • GETGet Video
        • GETList Videos
        • DELDelete Video
  • Research
    • Overview
    • Streaming
    • Reasoning Steps
    • Web Search
    • Structured Output
    • Parallel Thinking
    • Best Practices
    • Errors
    • Examples
  • Speech
    • Overview
    • Audio Transcription
    • Speech Translation
    • Speech-to-Speech Translation
  • Resources
    • FAQs
    • Changelog
    • System Status
LogoLogo
DiscordGet API Key
VisionAPI ReferenceVideo Management

List Videos

GET
https://vision-agent.api.reka.ai/v1/videos
GET
/v1/videos
$curl https://vision-agent.api.reka.ai/v1/videos \
> -H "X-Api-Key: <apiKey>"
200Retrieved
1{
2 "results": [
3 {
4 "video_id": "550e8400-e29b-41d4-a716-446655440000",
5 "url": "https://s3.amazonaws.com/bucket/video.mp4?presigned=...",
6 "metadata": {
7 "width": 1920,
8 "height": 1080,
9 "avg_fps": 23.976023976023978,
10 "video_name": "Kathy test",
11 "title": "Kathy test",
12 "video_start_timestamp_utc_ms": 1,
13 "duration": 641.939,
14 "thumbnail": "https://demo-videos-bucket-reka.s3.eu-west-2.amazonaws.com/None/images/{image_id}",
15 "description": "Uploaded video file: home/kathy/vids/tuscany.mp4",
16 "source": "home/kathy/vids/tuscany.mp4"
17 },
18 "indexing_status": "indexing",
19 "indexing_type": "fast_search",
20 "group_id": "string"
21 }
22 ]
23}
List videos or retrieve specific videos by IDs.
Was this page helpful?
Previous

Delete Video

Next
Built with

Authentication

X-Api-Keystring

API key authentication via X-Api-Key header

OR
AuthorizationBearer
Bearer token authentication via Authorization header

Query parameters

idslist of strings or nullOptional
Filter by specific video IDs

Response

Successful Response
resultslist of objects
List of video results